<?php
/**
 * zogan - PHP template engine for XML
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * @author Haruki Setoyama <haruki@planewave.org>
 * @copyright Copyright &copy; 2003-2004, Haruki SETOYAMA <haruki@planewave.org>
 * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
 * @version 0.1- $Id: date.php,v 1.1 2004/06/17 10:28:21 haruki Exp $
 * @link http://phpoot.sourceforge.jp/zogan/
 * @package zogan
 * @subpackage _builder
 */
/**
 * offset for date formatting. (second)
 */
$GLOBALS['_ZOGAN_DATE_OFFSET'] = null;
/**
 * print formated date
 */
function zogan_format_date($val, $format)
{
    if (! is_numeric($val)) {
		return false;
	}
	
	if (isset($GLOBALS['_ZOGAN_DATE_OFFSET'])) {
	    echo gmdate($format, (int)$val+(int)$GLOBALS['_ZOGAN_DATE_OFFSET']);
	} else {
		echo date($format, (int)$val);
	}  
    return true;
}
/**
 * set offset time (sec.)
 */
function zogan_format_date_option($sec = null)
{
	$GLOBALS['_ZOGAN_DATE_OFFSET'] = $sec;
}
?>